웹훅 전송 기록 조회
curl --request GET \
--url https://meterengine.com/v1/webhook-endpoints/{id}/deliveries \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/webhook-endpoints/{id}/deliveries';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"deliveries": [
{
"attempt_count": 123,
"attempts": [
{
"attempted_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"failure_reason": "<string>",
"response_status": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempted_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"response_status": 123,
"status": "<string>",
"type": "<string>",
"webhook_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}웹훅
웹훅 전송 기록 조회
GET
/
v1
/
webhook-endpoints
/
{id}
/
deliveries
웹훅 전송 기록 조회
curl --request GET \
--url https://meterengine.com/v1/webhook-endpoints/{id}/deliveries \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/webhook-endpoints/{id}/deliveries';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"deliveries": [
{
"attempt_count": 123,
"attempts": [
{
"attempted_at": "2023-11-07T05:31:56Z",
"duration_ms": 123,
"failure_reason": "<string>",
"response_status": 123
}
],
"created_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempted_at": "2023-11-07T05:31:56Z",
"next_attempt_at": "2023-11-07T05:31:56Z",
"response_status": 123,
"status": "<string>",
"type": "<string>",
"webhook_event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"page": 123,
"size": 123,
"total": 123
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
경로 매개변수
쿼리 매개변수
필수 범위:
x >= 0필수 범위:
1 <= x <= 100Pattern:
pending|done|failed